<?php

/**
 * @file
 * Contains Interface definition for \Drupal\payment_authnet\Plugin\Payment\Method\Authnet.
 */

namespace Drupal\payment_authnet\Plugin\Payment\Method;

interface AuthnetInterface {

  /**
   * Detects if authorize.net should transfer money right now.
   *
   * @return string
   *   Transaction type for Authorize net to identify will money be charged
   *   right now, or credit card will be just authorized.
   *
   * @throws \LogicException
   */
  public function getTransactionType();

  /**
   * Gets detailed information about a last Authorize.net transaction.
   *
   * @return \net\authorize\api\contract\v1\TransactionDetailsType
   *   Instance of getTransactionDetailsResponse.
   *
   * @throws Exception\PaymentAuthnetApiException
   * @throws Exception\PaymentAuthnetResponseException
   */
  public function getTransactionDetails();

}
